# Asterisk Project : Asterisk 13 ManagerAction_DialplanExtensionAdd

Created by wikibot on Aug 08, 2014

# DialplanExtensionAdd

### Synopsis

Add an extension to the dialplan

### Description

### Syntax

    Action: DialplanExtensionAdd
    ActionID: <value>
    Context: <value>
    Extension: <value>
    Priority: <value>
    Application: <value>
    [ApplicationData:] <value>
    [Replace:] <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Context` - Context where the extension will be created. The context will be created if it does not already exist.
- `Extension` - Name of the extension that will be created (may include callerid match by separating with '/')
- `Priority` - Priority being added to this extension. Must be either `hint` or a numerical value.
- `Application` - The application to use for this extension at the requested priority
- `ApplicationData` - Arguments to the application.
- `Replace` - If set to 'yes', '1', 'true' or any of the other values we evaluate as true, then if an extension already exists at the requested context, extension, and priority it will be overwritten. Otherwise, the existing extension will remain and the action will fail.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538